Welcome

BackupMaker is a free tool to backup your system files along with files and folders you can specify yourself.
Originally I wrote this program for myself because I was tired of backing up all my important files manually. Since I found it to be very useful, I decided now to publish it...for free.

You'll find my homepage at http://www.adprog.tsx.org/
You can drop me an email here. I'm always interested in feedback!


License

Important: By using BackupMaker you automatically agree to all the terms included.

Type of license
  • This program is signupware. If you want to use it you must sign up to one or more getpaidtosurf-program on the Earn Money page of ADprog.
  • For commercial use (in companies) another type of license applies. Please contact me.

Other terms
  • You may distribute this program (on webpages, CDs, etc) freely as long as you do NOT:
    • Make any changes to the files.
    • Charge for the distribution.
  • AND you:
    • Include all files included in the original distribution.
    • Inform me (only required if you give or make it accessible to more than 10 people at a time).
  • If you want to distribute this program and charge for the distribution you MUST contact me.
  • THE AUTHOR OF THIS PROGRAM IS UNDER NO LEGAL RESPONSIBILTY. THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. THE ENTIRE RISK OF THE USE OF THE SOFTWARE IS ASSUMED BY YOU. THE AUTHOR DISCLAIMS ALL WARRANTIES, EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT WITH RESPECT TO THIS SOFTWARE AND ANY ACCOMPANYING WRITTEN MATERIALS. IN NO EVENT WILL THE AUTHOR BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY LOSS OF PROFITS, DATA, OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF YOUR USE OR INABILITY TO USE THIS SOFTWARE, EVEN IF THE AUTHOR HAS BEEN SPECIFICALLY ADVISED ON THE POSSIBLILITY OF SUCH DAMAGES.


What's New

New in version 2.0 is:
  • An unlimited number of files and folders to be backed up can be specified.
  • It's possible to use different profiles. This means that you can specify which file BackupMaker is to read the settings from.


Making Backups

This is a step by step guide to make your backups.
Be sure to have read the license!

STEP 1

Choose if you want to backup the system files. It's always recommended to back them up.

STEP 2

Are there any other files to be backed up? If so you can enter them in the lower tab. To add a file click the 'Add'-button.
To remove a file highlight it and then click the 'Remove'-button.
IMPORTANT: You must also check the box on the left of the filename. If you don't, the file won't be backed up.

STEP 3

Are there any folders you want to back up? If so, enter them in the 'Folder' tab. Again, click the 'Add'-button to add a folder and the 'Remove'-button to remove a highlighted item. Remember to check the box if you want to get the folder backed up.

STEP 4

Now it's time to choose the destination in the 'Destination' tab. Choose a folder in which you want the backup to be created.
NOTE: BackupMaker will create a new folder in the specified folder and name it "Backup 1" (if it already exists the existing folder will be renamed to "Backup 2". "Backup 2" will be renamed to "Backup 3" and so on). In this folder there will be separate folders for the systemfiles, the files you chose and the folders you chose.

STEP 5

Make sure that the specified destination-directory has enough space for the backup. BackupMaker does NOT check this before it starts!

STEP 6

Click the 'Make Backup' button on the bottom left of the window and wait until the backup is done. This can take a while depending on the size of the files and folder which are backed up.
NOTE: The 'Cancel' button does only cancel the current process (file or folder being copied) and does not cancel the complete backup-process.


Restore

To restore a backup go to the 'Restore' tab. Click the button on the right of the topmost textbox to choose a backup or type the path into the textbox manually. Choose the folder named 'Backup X' (where X is a number). "Backup 1" is always the newest backup.
BackupMaker now searches this folder for files and folders backed up. The found files are listed in the 'Files' tab, the folders in the 'Folder' tab. Check the box on the left of each item you want to restore.
If you want to restore systemfiles check the box named 'Restore system files'.
When you have selected the files and folders to restore, click the 'Restore' button.
There is no need to tell BackupMaker where the original files were, since this was saved along with the backup. This does also mean that the backup will be written to the path where it came from, overwriting the existing file.
Files in use cannot be restored! If you try this you'll get an error (this happens for example with the 'System' folder (in the 'Windows' folder)). If this is the case you can restart the computer in MS-DOS-mode and copy the files manually with the 'xcopy' command.


Options

In the 'Options' tab you can choose to automate the backup-process. There are three possibilities:
  • Backup every time when windows starts: Does exactly what it says. Whenever windows starts, a backup is made. It's highly recommended to make only backups of small files. Remember that files and folders are not backed up if the box next to them is unchecked.
  • Backup every X days: This makes a backup after the number of days you specify has elapsed (naturally only if the computer is started that day; if not the backup will be done the next time the computer starts)
  • Backup every X startups: Makes a backup after the specified number of startups.

You can also select how many backups are to be kept. This is usually used with the automated backups. New backups are created until the number of backups reached the specified number. Then the oldest backup is deleted and the others are renamed. What is changed is only the number of the folder in which the backups are kept. "Backup 1" becomes "Backup 2" and so on.
So the newest backup is always in "Backup 1".
Why keep multiple backups? This can be very handy if you have a virus on your system and notice too late (you have already made a backup and your files in the backup are infected). In this case you can restore an older backup, which is clean. Make sure to remove the virus before restoring your data. If you don't, your data will simply be infected, too and you have to start all over.

In the frame name 'Settings-File' you can specify which file BackupMaker is to read the settings from. In a settings-file BackupMaker saves the lists of files and folders to be backed up and if the box next to them is checked.
By creating multiple settings-files you can make different 'profiles'.
To specify a file type its path and the filename into the textbox or click the button next to the textbox to select the file in a dialog.
To create a new file either type the path and name of the file into the textbox or click the button next to it to select the path in a dialog. In the dialog goto the folder in which you want the file to be created and type the filname into the textbox labeled 'Filename'. The extension of the file should be '.ini', but you can use any other extension if you want.
The 'Load settings from file'-button can be use to read the settings from the file in the textbox (you could also call this 'change profile').
The 'save settings'-button saves the current settings (profile) to the file specified in the textbox. If the file exists, it is overwritten.

Click the 'About' button the see the version of your copy of BackupMaker.


Other Things

If you exit BackupMaker with the 'Exit' button, the settings are saved. If you wish to exit without saving them, use the 'Cancel' button.

The installer for this product was created using Installer VISE from MindVision Software. For more information on Installer VISE, contact:
MindVision Software
7201 North 7th Street
Lincoln, NE 68521-8913

Voice: (402) 477-3269
Fax: (402) 477-1395
E-mail: mindvision@mindvision.com
http://www.mindvision.com